<?php
if(count(get_included_files())==1) exit("Direct access not permitted.");
$mod = basename(__FILE__, '.php');
$page->tbCss($mod);
$page->tbJs($mod);

$judulberita="";
$datakonten=array();
$kategoriberita=array();
$gambarkonten=array();
$dataid=array();
$datajudul=array();
$datatanggal=array();

$query="select t1.id,t1.tanggal,t1.judul,t1.konten,t2.nama as kategori ,
			t3.nama_baru,t3.folder
		from tb_konten as t1
	inner join tb_konten_kategori as t2 on t1.idkategori=t2.id
	inner join tb_dokumen as t3 on t1.idgambar=t3.id
	where t1.status=1 and t1.utama=1 order by t1.tanggal desc
    limit 0,5";
$rskonten=$db->getObj($query);

$nomorkonten=1;
foreach ($rskonten as $obj) {
	$idkonten=$obj->id;
	$kategori=$obj->kategori;
	$judulberita=$obj->judul;
	
	$arrtanggal=explode(" ", $obj->tanggal);
	$tanggal=$db->fulldate($arrtanggal[0]);
	
	if(strlen($judulberita)>80) {
		$strjudulberita=mb_strimwidth($judulberita, 0, 80, '');
		$judulberita = substr($strjudulberita,0,strrpos($strjudulberita," "))." ...";
	}
	
	ob_start();
	?>
	<div class="box_utama_judul" id="utama_judul_<?php echo $idkonten;?>">
		<div id="box_utama_nomor_bg1_<?php echo $idkonten;?>" class="box_utama_nomor_bg1">&nbsp;</div>
		<div id="box_utama_nomor_bg2_<?php echo $idkonten;?>" class="box_utama_nomor_bg2">&nbsp;</div>
		<div id="box_utama_datanomor_<?php echo $idkonten;?>" class="box_utama_datanomor"><?php echo $db->buatdigit($nomorkonten,2);?></div>
		<div class="utama_judul_tanggal"><?php echo $tanggal;?></div>
		<div class="utama_judul_judul">
			<a href="<?php echo NPAGE.'informasi?id='.$idkonten;?>">
				<?php echo $judulberita;?>
			</a>
		</div>
	</div>
	<?php
	$konten=ob_get_clean();
	array_push($datakonten,$konten);
	
	$lokasigambar=NPAGE.$obj->folder.$obj->nama_baru;
	array_push($gambarkonten,$lokasigambar);
	array_push($dataid,$idkonten);
	array_push($kategoriberita,$kategori);
	array_push($datajudul,$judulberita);
	array_push($datatanggal,$tanggal);
	$nomorkonten++;
}
$hasil=array(
	"dataid"=>$dataid,
	"datagambar"=>$gambarkonten,
	"datakategori"=>$kategoriberita,
	"datajudul"=>$datajudul,
	"datatanggal"=>$datatanggal
);
$page->addLoad("utamainfo.init(".json_encode($hasil,true).")")
?>
<div class="utama_konten_main">
	<div id="utama_konten_kategori" class="utama_konten_kategori">Kategori Konten</div>
	<div class="utama_konten_boxkonten">
		<div id="box_utama_konten_img" class="utama_konten_img"></div>
		<div id="box_utama_konten_img_judul" class="utama_konten_img_judul"></div>
		<div class="utama_konten_judul">
			<?php
			foreach ($datakonten as $objd){
				echo $objd;
			}
			?>
		</div>
		<div style="clear: both;"></div>
	</div>
</div>